Bug 1564895 - [abrt] dmar_validate_one_drhd: WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Summary: [abrt] dmar_validate_one_drhd: WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c01097b82511440b199131d30f4...
: 1577507 1590887 1610352 1632857 1632903 1763444 1767343 1768899 1768900 1770502 1783533 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 17:31 UTC by Giacomo Longo
Modified: 2020-03-18 04:05 UTC (History)
32 users (show)

Fixed In Version: kernel-5.5.9-200.fc31 kernel-5.5.9-100.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-18 02:22:12 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (71.66 KB, text/plain)
2018-04-08 17:31 UTC, Giacomo Longo
no flags Details

Description Giacomo Longo 2018-04-08 17:31:17 UTC
Additional info:
reporter:       libreport-2.9.4
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.0-300.fc28.x86_64 #1
Hardware name: Notebook                         W230SS                 /W230SS                 , BIOS 4.6.5 04/08/2015
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffff9c203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffff9c253e48
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffff9c0d7e11 R08: 00000000000000a8 R09: 00000000000000ca
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffff9ca8301c
R13: ffffffff9ca8306c R14: ffffffff9c203e80 R15: 00000000b6aeed80
FS:  0000000000000000(0000) GS:ffff9ac22fa00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff9ac22fdff000 CR3: 000000012820a001 CR4: 00000000000606b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ec 18 00 bf 01 00 00 00 49 89 c4 e8 94 ec 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 48 dd 10 9c e8 33 91 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 cb 1c 48 00 31 c0 85 d2 7e 56 53

Comment 1 Giacomo Longo 2018-04-08 17:31:36 UTC
Created attachment 1418951 [details]
File: dmesg

Comment 2 RJr 2018-04-26 12:07:02 UTC
Description of problem:
Ao reiniciar o sistema, o computador travou. Novamente foi reiniciado e novamente travou, ficando impossibilitado o uso.

Version-Release number of selected component:
kernel-core-4.16.0-300.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.16.0-300.fc28.x86_64 root=UUID=00b5b185-3547-4ec4-99c2-5345b4abb01c ro rhgb quiet LANG=pt_BR.UTF-8
crash_function: dmar_validate_one_drhd
kernel:         4.16.0-300.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.0-300.fc28.x86_64 #1
Hardware name: Itautec S.A. ST 4271/ST 4271, BIOS F5c 09/23/2010
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffa0203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 00000000fe710000 RCX: ffffffffa0253e48
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffa010e67e R08: 00000000000000ac R09: 0000000000000086
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffa0a83024
R13: ffffffffa0a8304c R14: ffffffffa0203e80 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9f376fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff9f376ffff000 CR3: 000000017420a000 CR4: 00000000000006b0
Call Trace:
 dmar_validate_one_drhd+0xab/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ec 18 00 bf 01 00 00 00 49 89 c4 e8 94 ec 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 48 dd 10 a0 e8 33 91 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 cb 1c 48 00 31 c0 85 d2 7e 56 53

Comment 3 Kevin Németh 2018-05-08 22:36:42 UTC
Description of problem:
I was greeted with this error message right after the first boot into the system after installation.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_GB.UTF-8
crash_function: dmar_validate_one_drhd
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP Pavilion dv7 Notebook PC/30F4, BIOS F.2D 11/29/2010
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffbc203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffffbc253e88
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffbc0d7da1 R08: 0000000000000080 R09: 0000000000000093
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffbca83010
R13: ffffffffbca83050 R14: ffffffffbc203e80 R15: fffffffff000bd05
FS:  0000000000000000(0000) GS:ffff8f79ffc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff8f79cda84000 CR3: 000000010d20a000 CR4: 00000000000006b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ed 18 00 bf 01 00 00 00 49 89 c4 e8 24 ed 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 40 dd 10 bc e8 a3 90 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 3b 1c 48 00 31 c0 85 d2 7e 56 53

Comment 4 Giacomo Longo 2018-05-11 09:29:52 UTC
Description of problem:
Norm

Version-Release number of selected component:
kernel-core-4.16.7-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-300.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-35e40f35-63b2-4178-bd82-2a487a061db2 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: dmar_validate_one_drhd
kernel:         4.16.7-300.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: Notebook                         W230SS                 /W230SS                 , BIOS 4.6.5 04/08/2015
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffff97203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffff97253e08
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffff970d8179 R08: 00000000000000a8 R09: 00000000000000ca
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffff97a8301c
R13: ffffffff97a8306c R14: ffffffff97203e80 R15: 00000000b6aee600
FS:  0000000000000000(0000) GS:ffff972b2fa00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff972b2fdff000 CR3: 00000001dd20a001 CR4: 00000000000606b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ef 18 00 bf 01 00 00 00 49 89 c4 e8 e4 ef 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 a8 e1 10 97 e8 f3 8b b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 8b 17 48 00 31 c0 85 d2 7e 56 53

Comment 5 IPl 2018-05-12 15:09:46 UTC
*** Bug 1577507 has been marked as a duplicate of this bug. ***

Comment 6 Raul 2018-05-15 07:21:02 UTC
Description of problem:
first boot

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: dmar_validate_one_drhd
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP Pavilion dv7 Notebook PC/30F4, BIOS F.28 04/17/2009
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffa3203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffffa3253e88
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffa30d7da1 R08: 0000000000000080 R09: 0000000000000091
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffa3a83010
R13: ffffffffa3a83050 R14: ffffffffa3203e80 R15: fffffffff000bd05
FS:  0000000000000000(0000) GS:ffff9674bfc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff9674bffff000 CR3: 000000008020a000 CR4: 00000000000006b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ed 18 00 bf 01 00 00 00 49 89 c4 e8 24 ed 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 40 dd 10 a3 e8 a3 90 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 3b 1c 48 00 31 c0 85 d2 7e 56 53

Comment 7 Raul 2018-05-16 06:06:18 UTC
Description of problem:
first boot

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: dmar_validate_one_drhd
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP Pavilion dv7 Notebook PC/30F4, BIOS F.28 04/17/2009
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffa3203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffffa3253e88
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffa30d7da1 R08: 0000000000000080 R09: 0000000000000091
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffa3a83010
R13: ffffffffa3a83050 R14: ffffffffa3203e80 R15: fffffffff000bd05
FS:  0000000000000000(0000) GS:ffff9674bfc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff9674bffff000 CR3: 000000008020a000 CR4: 00000000000006b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ed 18 00 bf 01 00 00 00 49 89 c4 e8 24 ed 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 40 dd 10 a3 e8 a3 90 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 3b 1c 48 00 31 c0 85 d2 7e 56 53

Comment 8 Rafael Ortega Bueno 2018-05-21 13:42:27 UTC
Description of problem:
Ao iniciar o sistema já ocorre esta mensagem de erro.

Version-Release number of selected component:
kernel-core-4.16.6-302.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.16.6-302.fc28.x86_64 root=UUID=d57053ad-6391-4d5b-aa9a-dec06e06b7b4 ro rhgb quiet LANG=pt_BR.UTF-8 rd.driver.blacklist=nouveau
crash_function: dmar_validate_one_drhd
kernel:         4.16.6-302.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.6-302.fc28.x86_64 #1
Hardware name: Notebook                         W350STQ/W370ST            /W350STQ/W370ST            , BIOS 4.6.5 07/31/2013
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffa3203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffffa3253e08
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffa30d7ec1 R08: 00000000000000a8 R09: 00000000000000aa
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffa3a8301c
R13: ffffffffa3a83070 R14: ffffffffa3203e80 R15: 00000000c73d2018
FS:  0000000000000000(0000) GS:ffff9b162fa00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff9b162fdff000 CR3: 000000027620a001 CR4: 00000000000606b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ed 18 00 bf 01 00 00 00 49 89 c4 e8 b4 ed 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 60 de 10 a3 e8 43 8e b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 db 19 48 00 31 c0 85 d2 7e 56 53

Comment 9 Stan Brooks 2018-06-23 22:29:08 UTC
Description of problem:
Seems to happen when pc starts up every time

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: dmar_validate_one_drhd
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP 2000 Notebook PC             /3676, BIOS F.19 06/16/2011
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffaa203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffffaa253e88
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffaa0d7da1 R08: 0000000000000094 R09: 000000000000007b
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffaaa83010
R13: ffffffffaaa83058 R14: ffffffffaa203e80 R15: fffffffff000bbab
FS:  0000000000000000(0000) GS:ffff8a62fb600000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff8a62fb9ff000 CR3: 000000007120a000 CR4: 00000000000406b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ed 18 00 bf 01 00 00 00 49 89 c4 e8 24 ed 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 40 dd 10 aa e8 a3 90 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 3b 1c 48 00 31 c0 85 d2 7e 56 53

Comment 10 Vinicio Guerra 2018-07-18 15:22:53 UTC
Description of problem:
Actualización del sistema operativo de fedora 27 a fedora 28

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=UUID=34da106b-d60c-42bd-a3d6-c1586436d02b ro resume=UUID=d62a7e65-d55a-4978-92c6-8580ac078a97 rhgb quiet LANG=es_US.UTF-8
crash_function: dmar_validate_one_drhd
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Alienware Alienware 18/01W2J2, BIOS A13 01/29/2018
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffb9203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffffb9253e88
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffb90d7da1 R08: 0000000000000078 R09: 00000000000000a0
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffb9a8300c
R13: ffffffffb9a83038 R14: ffffffffb9203e80 R15: fffffffff000ba86
FS:  0000000000000000(0000) GS:ffff98a96f200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff98a6aea84000 CR3: 00000001ae20a001 CR4: 00000000000606b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ed 18 00 bf 01 00 00 00 49 89 c4 e8 24 ed 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 40 dd 10 b9 e8 a3 90 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 3b 1c 48 00 31 c0 85 d2 7e 56 53

Comment 11 chadguitar 2018-07-22 17:18:11 UTC
Description of problem:
I've always had graphics problems with linux on this laptop.  
I will boot to a blank screen. 

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-28-1-1 rd.live.image quiet
crash_function: dmar_validate_one_drhd
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Sony Corporation SVF15N17CXB/VAIO, BIOS R1140DD 09/18/2014
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffbf203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffffbf253e88
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffbf0d7da1 R08: 0000000000000084 R09: 00000000000000d1
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffbfa83010
R13: ffffffffbfa83044 R14: ffffffffbf203e80 R15: 0000000093fa25c0
FS:  0000000000000000(0000) GS:ffff961e1f200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff961dcda84000 CR3: 000000020d20a001 CR4: 00000000000606b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ed 18 00 bf 01 00 00 00 49 89 c4 e8 24 ed 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 40 dd 10 bf e8 a3 90 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 3b 1c 48 00 31 c0 85 d2 7e 56 53

Comment 12 victor 2018-07-25 01:45:59 UTC
Description of problem:
Justo acabo de instalar el sistema operativo
This is a fresh install of de OS

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=es_MX.UTF-8
crash_function: dmar_validate_one_drhd
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/iommu/dmar.c:848 warn_invalid_dmar.part.9+0x57/0x60
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: TOSHIBA Satellite P75-A/Type2 - Board Product Name1, BIOS 1.00 05/02/2013
RIP: 0010:warn_invalid_dmar.part.9+0x57/0x60
RSP: 0000:ffffffffae203e00 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffffae253e88
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000083
RBP: ffffffffae0d7da1 R08: 0000000000000088 R09: 00000000000000bc
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffaea83010
R13: ffffffffaea8303c R14: ffffffffae203e80 R15: 000000008afa2600
FS:  0000000000000000(0000) GS:ffff8c375f200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff8c36d2a84000 CR3: 00000001d220a001 CR4: 00000000000606b0
Call Trace:
 dmar_validate_one_drhd+0xc0/0xd0
 dmar_walk_remapping_entries+0xa2/0x140
 ? detect_intel_iommu+0x64/0xe6
 ? xen_swiotlb_init+0x4e0/0x4e0
 ? pci_iommu_alloc+0x51/0x6c
 ? mem_init+0x16/0xb0
 ? start_kernel+0x2c8/0x4fd
 ? secondary_startup_64+0xa5/0xb0
Code: ed 18 00 bf 01 00 00 00 49 89 c4 e8 24 ed 18 00 4d 89 e9 4d 89 e0 48 89 ea 48 89 c1 48 89 de 48 c7 c7 40 dd 10 ae e8 a3 90 b2 ff <0f> 0b 5b 5d 41 5c 41 5d c3 e8 3b 1c 48 00 31 c0 85 d2 7e 56 53

Comment 13 Justin M. Forbes 2019-01-29 16:24:20 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 14 Justin M. Forbes 2019-02-21 21:10:42 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 15 Hans de Goede 2020-03-09 11:27:35 UTC
*** Bug 1770502 has been marked as a duplicate of this bug. ***

Comment 16 Hans de Goede 2020-03-09 11:27:58 UTC
*** Bug 1768899 has been marked as a duplicate of this bug. ***

Comment 17 Hans de Goede 2020-03-09 11:28:02 UTC
*** Bug 1768900 has been marked as a duplicate of this bug. ***

Comment 18 Hans de Goede 2020-03-09 11:28:31 UTC
*** Bug 1783533 has been marked as a duplicate of this bug. ***

Comment 19 Hans de Goede 2020-03-09 11:31:27 UTC
This is still happening, since this is the oldest bug I could find for this I'm re-opening this one and using it as a tracking bug for this issue, dupping all other open bugs about this to this one.

The problem is that the iommu kernel folks are using the WARN_TAINT macro to complain about a firmware bug (which we cannot really fix) causing a backtrace instead of them just printing a warning.

I'm working on a fix for this now (change the WARN_TAINT to just printing a warning).

Comment 20 Hans de Goede 2020-03-09 11:32:02 UTC
*** Bug 1632903 has been marked as a duplicate of this bug. ***

Comment 21 Hans de Goede 2020-03-09 11:32:39 UTC
*** Bug 1767343 has been marked as a duplicate of this bug. ***

Comment 22 Hans de Goede 2020-03-09 11:33:45 UTC
*** Bug 1632857 has been marked as a duplicate of this bug. ***

Comment 23 Hans de Goede 2020-03-09 11:34:24 UTC
*** Bug 1590887 has been marked as a duplicate of this bug. ***

Comment 24 Hans de Goede 2020-03-09 11:35:58 UTC
*** Bug 1610352 has been marked as a duplicate of this bug. ***

Comment 25 Hans de Goede 2020-03-09 11:39:00 UTC
*** Bug 1763444 has been marked as a duplicate of this bug. ***

Comment 26 Hans de Goede 2020-03-09 16:59:22 UTC
I've added the patches fixing this to dist-git, so that they will be picked up by the next official build.

Comment 27 Fedora Update System 2020-03-12 18:38:20 UTC
FEDORA-2020-57216f2e13 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-57216f2e13

Comment 28 Fedora Update System 2020-03-12 18:38:24 UTC
FEDORA-2020-90a64eda89 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-90a64eda89

Comment 29 Fedora Update System 2020-03-14 01:01:54 UTC
kernel-5.5.9-200.fc31, kernel-headers-5.5.9-200.fc31, kernel-tools-5.5.9-200.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-90a64eda89

Comment 30 Fedora Update System 2020-03-14 02:20:53 UTC
kernel-5.5.9-100.fc30, kernel-headers-5.5.9-100.fc30, kernel-tools-5.5.9-100.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-57216f2e13

Comment 31 Fedora Update System 2020-03-18 02:22:12 UTC
kernel-5.5.9-200.fc31, kernel-headers-5.5.9-200.fc31, kernel-tools-5.5.9-200.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2020-03-18 04:05:07 UTC
kernel-5.5.9-100.fc30, kernel-headers-5.5.9-100.fc30, kernel-tools-5.5.9-100.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.